Bug 984854 - Window for editting field properties not fully displayed when fields stacked on one line
Window for editting field properties not fully displayed when fields stacked ...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER2
: 6.0.0
Assigned To: Pere Fernàndez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 04:03 EDT by Jan Hrcek
Modified: 2014-08-06 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Window shiftet do the right (134.99 KB, image/png)
2013-07-16 04:03 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-07-16 04:03:05 EDT
Created attachment 774065 [details]
Window shiftet do the right

Description of problem:
When there are multiple fields on the line and you click "Edit" for some of the fileds, the "EditFieldProperties" window that opens on the right is shifted to the right, therefore it's not fully visible (see screenshot).

Version-Release number of selected component (if applicable):
BPMS 6.0.0.DR6

How reproducible:
Always

Steps to Reproduce:
1. Start kie-ide (business-central), and navigate to "Authoring" > "Project authoring"
2. In Project explorer select jbpm-playground >  IntegrationTests > Form Definitions > form "InvoiceLine"
3. In editor choose e.g. Form Properties (to display canvas).
4. Hover over one of the fileds and click "Edit" > The edit properties window is opened on the right

Actual results:
The window is shifted to the right, so that only half of it is visible. When you add one more field and group it with others on one line, the properties widnow is almost invisible.

Expected results:
The window for editting field properties should be alligned with the rith edge of the browser window, it's position should not change based on how far the fields are aligned.

Additional info:
Comment 1 Pere Fernàndez 2013-08-06 14:46:22 EDT
Fixed form-modeler css. Commits:
https://github.com/droolsjbpm/jbpm-form-modeler/commit/b5ceeae97ecdce1ba58cfc2ff2b4ba522f97ec68
Comment 2 Jan Hrcek 2013-09-04 02:31:58 EDT
Verified with BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.